Bug 350061 - seedit-load does not work on my rawhide system
seedit-load does not work on my rawhide system
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: seedit (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Yuichi Nakamura
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-24 01:55 EDT by Francesco Tapparo
Modified: 2009-01-09 00:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:00:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Francesco Tapparo 2007-10-24 01:55:37 EDT
Description of problem:

seedit-load returns error. transcript follows:

[root@mizar ~]# rpm -e seedit seedit-gui seedit-policy
[root@mizar ~]# yum install seedit seedit-gui seedit-policy
Loading "refresh-updatesd" plugin
Loading "presto" plugin
Setting up and reading Presto delta metadata
No Presto metadata available for development
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package seedit-gui.i386 0:2.1.1-3.fc8 set to be updated
---> Package seedit-policy.i386 0:2.1.1-3.fc8 set to be updated
---> Package seedit.i386 0:2.1.1-3.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 seedit-gui              i386       2.1.1-3.fc8      development        66 k
Installing for dependencies:
 seedit                  i386       2.1.1-3.fc8      development       131 k
 seedit-policy           i386       2.1.1-3.fc8      development        18 k

Transaction Summary
=============================================================================
Install      3 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 216 k
Is this ok [y/N]: y
Downloading Packages:
Downloading DeltaRPMs:
Rebuilding rpms from deltarpms
(1/3): seedit-2.1.1-3.fc8 100% |=========================| 131 kB    00:04     
(2/3): seedit-policy-2.1. 100% |=========================|  18 kB    00:00     
(3/3): seedit-gui-2.1.1-3 100% |=========================|  66 kB    00:01     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: seedit                       ######################### [1/3] 
  Installing: seedit-policy                ######################### [2/3] 
  Installing: seedit-gui                   ######################### [3/3] 

Installed: seedit-gui.i386 0:2.1.1-3.fc8
Dependency Installed: seedit.i386 0:2.1.1-3.fc8 seedit-policy.i386 0:2.1.1-3.fc8
Complete!
Unable to send message to yum-updatesd
[root@mizar ~]# seedit-load -v
Audit chdir:
True
/sbin/auditctl -d exit,always -S chdir  >/dev/null 2>&1 
/sbin/auditctl -d exit,always -S chdir -F obj_type=dhclient_t >/dev/null 2>&1 
/sbin/auditctl -d exit,always -S chdir -F obj_type=sendmail_t >/dev/null 2>&1 
/sbin/auditctl -d exit,always -S chdir -F obj_type=mcstransd_t >/dev/null 2>&1 
/sbin/auditctl -d exit,always -S chdir -F obj_type=sshd_t >/dev/null 2>&1 
/sbin/auditctl -d exit,always -S chdir -F obj_type=ntpd_t >/dev/null 2>&1 
/sbin/auditctl -d exit,always -S chdir -F obj_type=samba_t >/dev/null 2>&1 
/sbin/auditctl -d exit,always -S chdir -F obj_type=named_t >/dev/null 2>&1 
/sbin/auditctl -d exit,always -S chdir -F obj_type=klogd_t >/dev/null 2>&1 
/sbin/auditctl -d exit,always -S chdir -F obj_type=crond_t >/dev/null 2>&1 
/sbin/auditctl -d exit,always -S chdir -F obj_type=httpd_t >/dev/null 2>&1 
/sbin/auditctl -d exit,always -S chdir -F obj_type=auditd_t >/dev/null 2>&1 
/sbin/auditctl -d exit,always -S chdir -F obj_type=portmap_t >/dev/null 2>&1 
/sbin/auditctl -d exit,always -S chdir -F obj_type=syslogd_t >/dev/null 2>&1 
/sbin/auditctl -a exit,always -S chdir -F obj_type=dhclient_t >/dev/null 2>&1 
/sbin/auditctl -a exit,always -S chdir -F obj_type=sendmail_t >/dev/null 2>&1 
/sbin/auditctl -a exit,always -S chdir -F obj_type=mcstransd_t >/dev/null 2>&1 
/sbin/auditctl -a exit,always -S chdir -F obj_type=sshd_t >/dev/null 2>&1 
/sbin/auditctl -a exit,always -S chdir -F obj_type=ntpd_t >/dev/null 2>&1 
/sbin/auditctl -a exit,always -S chdir -F obj_type=samba_t >/dev/null 2>&1 
/sbin/auditctl -a exit,always -S chdir -F obj_type=named_t >/dev/null 2>&1 
/sbin/auditctl -a exit,always -S chdir -F obj_type=klogd_t >/dev/null 2>&1 
/sbin/auditctl -a exit,always -S chdir -F obj_type=crond_t >/dev/null 2>&1 
/sbin/auditctl -a exit,always -S chdir -F obj_type=httpd_t >/dev/null 2>&1 
/sbin/auditctl -a exit,always -S chdir -F obj_type=auditd_t >/dev/null 2>&1 
/sbin/auditctl -a exit,always -S chdir -F obj_type=portmap_t >/dev/null 2>&1 
/sbin/auditctl -a exit,always -S chdir -F obj_type=syslogd_t >/dev/null 2>&1 
mkdir -p /usr/share/seedit/sepolicy;
m4 -s /etc/seedit/policy/*.sp >/etc/seedit/policy/all.sp;
/usr/bin/seedit-converter -i /etc/seedit/policy/all.sp -o
/usr/share/seedit/sepolicy -b /usr/share/seedit/base_policy -I
/etc/seedit/policy/include ;
Warning!! dir open err /var/named/chroot/var/run/named
Warning!! dir open err /var/named/chroot/dev
Warning!! dir open err /var/run/named
m4 -D enable_mcs  -Imacros -s /usr/share/seedit/macros/*.te
/usr/share/seedit/sepolicy/generated.conf > /usr/share/seedit/sepolicy/policy.conf;
m4 -D enable_mcs  -Imacros -s /usr/share/seedit/macros/mcs_macros.te
/usr/share/seedit/sepolicy/file_contexts.m4 >
/usr/share/seedit/sepolicy/file_contexts;
m4 -D enable_mcs  -Imacros -s /usr/share/seedit/macros/mcs_macros.te
/usr/share/seedit/sepolicy/userhelper_context.m4 >
/usr/share/seedit/sepolicy/userhelper_context.tmp;
grep system_u /usr/share/seedit/sepolicy/userhelper_context.tmp > 
/usr/share/seedit/sepolicy/userhelper_context
rm /usr/share/seedit/sepolicy/userhelper_context.tmp
/usr/bin/checkmodule /usr/share/seedit/sepolicy/policy.conf -M -o
/usr/share/seedit/sepolicy/base.mod
/usr/bin/checkmodule:  loading policy configuration from
/usr/share/seedit/sepolicy/policy.conf
/usr/bin/checkmodule:  policy configuration loaded
/usr/bin/checkmodule:  writing binary representation (version 6) to
/usr/share/seedit/sepolicy/base.mod
/usr/bin/semodule_package  -s /usr/share/seedit/base_policy/seusers -m
/usr/share/seedit/sepolicy/base.mod -f /usr/share/seedit/sepolicy/file_contexts
-o/usr/share/seedit/sepolicy/base.pp
cp /usr/share/seedit/sepolicy/file_contexts /etc/selinux/seedit/contexts/files/
cp /usr/share/seedit/sepolicy/file_contexts.m4 /etc/selinux/seedit/contexts/files/
cp /usr/share/seedit/sepolicy/customizable_types /etc/selinux/seedit/contexts
cp /usr/share/seedit/sepolicy/userhelper_context /etc/selinux/seedit/contexts
cp -r /usr/share/seedit/base_policy/contexts/*  /etc/selinux/seedit/contexts 
echo "" > /etc/selinux/seedit/contexts/files/file_contexts.homedirs
echo "" >  /etc/selinux/seedit/users/system.users
echo "" >  /etc/selinux/seedit/users/local.users
if [ -e fcdiff.tmp ] ; then \
                exec 3< fcdiff.tmp;\
                while read FLs 0<&3; do \
                for FL in $FLs; do \
                        if [ -e $FL ] ; then \
                                /usr/sbin/seedit-restorecon $FL -R -vv;\
                        fi;\
                done; \
                done; \
                exec 3<&-;\
        fi;
/usr/sbin/semodule -b /usr/share/seedit/sepolicy/base.pp
libsepol.permission_copy_callback: Module amavis depends on permission
setsockcreate in class process, not satisfied
libsemanage.semanage_link_sandbox: Link packages failed
/usr/sbin/semodule:  Failed!
make: *** [diffrelabel] Error 1
Error!:Detail is here..
m4 -s /etc/seedit/policy/*.sp >/etc/seedit/policy/all.sp;
/usr/bin/seedit-converter -i /etc/seedit/policy/all.sp -o
/usr/share/seedit/sepolicy -b /usr/share/seedit/base_policy -I
/etc/seedit/policy/include ;
Warning!! dir open err /var/named/chroot/var/run/named
Warning!! dir open err /var/named/chroot/dev
Warning!! dir open err /var/run/named
m4 -D enable_mcs  -Imacros -s /usr/share/seedit/macros/*.te
/usr/share/seedit/sepolicy/generated.conf > /usr/share/seedit/sepolicy/policy.conf;
m4 -D enable_mcs  -Imacros -s /usr/share/seedit/macros/mcs_macros.te
/usr/share/seedit/sepolicy/file_contexts.m4 >
/usr/share/seedit/sepolicy/file_contexts;
m4 -D enable_mcs  -Imacros -s /usr/share/seedit/macros/mcs_macros.te
/usr/share/seedit/sepolicy/userhelper_context.m4 >
/usr/share/seedit/sepolicy/userhelper_context.tmp;
grep system_u /usr/share/seedit/sepolicy/userhelper_context.tmp > 
/usr/share/seedit/sepolicy/userhelper_context
rm /usr/share/seedit/sepolicy/userhelper_context.tmp
/usr/bin/checkmodule /usr/share/seedit/sepolicy/policy.conf -M -o
/usr/share/seedit/sepolicy/base.mod
/usr/bin/checkmodule:  loading policy configuration from
/usr/share/seedit/sepolicy/policy.conf
/usr/bin/checkmodule:  policy configuration loaded
/usr/bin/checkmodule:  writing binary representation (version 6) to
/usr/share/seedit/sepolicy/base.mod
/usr/bin/semodule_package  -s /usr/share/seedit/base_policy/seusers -m
/usr/share/seedit/sepolicy/base.mod -f /usr/share/seedit/sepolicy/file_contexts
-o/usr/share/seedit/sepolicy/base.pp
cp /usr/share/seedit/sepolicy/file_contexts /etc/selinux/seedit/contexts/files/
cp /usr/share/seedit/sepolicy/file_contexts.m4 /etc/selinux/seedit/contexts/files/
cp /usr/share/seedit/sepolicy/customizable_types /etc/selinux/seedit/contexts
cp /usr/share/seedit/sepolicy/userhelper_context /etc/selinux/seedit/contexts
cp -r /usr/share/seedit/base_policy/contexts/*  /etc/selinux/seedit/contexts 
echo "" > /etc/selinux/seedit/contexts/files/file_contexts.homedirs
echo "" >  /etc/selinux/seedit/users/system.users
echo "" >  /etc/selinux/seedit/users/local.users
if [ -e fcdiff.tmp ] ; then \
                exec 3< fcdiff.tmp;\
                while read FLs 0<&3; do \
                for FL in $FLs; do \
                        if [ -e $FL ] ; then \
                                /usr/sbin/seedit-restorecon $FL -R -vv;\
                        fi;\
                done; \
                done; \
                exec 3<&-;\
        fi;
/usr/sbin/semodule -b /usr/share/seedit/sepolicy/base.pp
libsepol.permission_copy_callback: Module amavis depends on permission
setsockcreate in class process, not satisfied
libsemanage.semanage_link_sandbox: Link packages failed
/usr/sbin/semodule:  Failed!
make: *** [diffrelabel] Error 1

#Error!! check above error message
[root@mizar ~]# 


Version-Release number of selected component (if applicable):

seedit-2.1.1-3.fc8
(related packages: seedit-policy-2.1.1-3.fc8, seedit-gui-2.1.1-3.fc8,
libsemanage-2.0.12-1.fc8, libselinux-2.0.37-1.fc8)

How reproducible:

I simply install seedit, seedit-gui and seedit-policy in a fedora-devel
system and then call seedit-load. but my previous modified policy did not work, too.
  
Actual results:
...
seedit-load returns an error. from the transcript above:
/usr/sbin/semodule -b /usr/share/seedit/sepolicy/base.pp
libsepol.permission_copy_callback: Module amavis depends on permission
setsockcreate in class process, not satisfied
libsemanage.semanage_link_sandbox: Link packages failed
/usr/sbin/semodule:  Failed!
make: *** [diffrelabel] Error 1


Expected results:

I'd expect no error from seedit-load

Additional info:

I've a mixed tc8-test3/rawhide system, because I do not have adsl and cannot
keep updating the system.
Comment 1 Yuichi Nakamura 2007-10-24 03:07:27 EDT
Thanks for report!
Yes, I know this problem.
I am renewing seedit.
I am going to release version 2.2.0 by F8.

Comment 2 Bug Zapper 2008-04-04 10:15:36 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-11-26 03:05:30 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 00:00:02 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.